Bug 19936 - Rebuild without DOCBOOK_XSL_172=1
: Rebuild without DOCBOOK_XSL_172=1
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/git)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-05-06 04:40 by
Modified: 2009-05-07 09:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-06 04:40:36
Опция DOCBOOK_XSL_172=1 нужна только для docbook-style-xsl = 1.72.  С 1.73
получаются битые маны (см. напр. git-branch(1), секция EXAMPLES).
------- Comment #1 From 2009-05-06 10:49:34 -------
Я писал об этом в ноябре.
------- Comment #2 From 2009-05-06 11:57:41 -------
(In reply to comment #1)
> Я писал об этом в ноябре.

Прочитай ещё, раз о чём ты писал в ноябре:
https://bugzilla.altlinux.org/show_bug.cgi?id=17003#add_comment
------- Comment #3 From 2009-05-06 11:58:53 -------
(In reply to comment #0)
> Опция DOCBOOK_XSL_172=1 нужна только для docbook-style-xsl = 1.72.  С 1.73
> получаются битые маны (см. напр. git-branch(1), секция EXAMPLES).

Хорошо, я убираю DOCBOOK_XSL_172, после чего фиксить #17003 будешь ты.
------- Comment #4 From 2009-05-06 12:00:37 -------
(In reply to comment #2)
> (In reply to comment #1)
> > Я писал об этом в ноябре.
> 
> Прочитай ещё, раз о чём ты писал в ноябре:
> https://bugzilla.altlinux.org/show_bug.cgi?id=17003#add_comment

Точнее говоря,
https://bugzilla.altlinux.org/show_bug.cgi?id=17003#c6
------- Comment #5 From 2009-05-06 12:16:31 -------
(In reply to comment #3)
> Хорошо, я убираю DOCBOOK_XSL_172, после чего фиксить #17003 будешь ты.
Это надо asciidoc лечить, который лепит такое:

$ fgrep -1 .ft git-fetch.xml 
<literallayout>
&#10;.ft C&#10;        [url "&lt;actual url base&gt;"]
                insteadOf = &lt;other url base&gt;&#10;.ft&#10;
</literallayout>
------- Comment #6 From 2009-05-06 13:45:30 -------
git-1.6.2.5-alt1 -> sisyphus:

* Wed May 06 2009 Dmitry V. Levin <ldv@altlinux> 1.6.2.5-alt1

- Updated to maint v1.6.2.5.
- Fixed build of documentation with fresh docbook xsl (closes: #19936).
------- Comment #7 From 2009-05-06 20:54:25 -------
(В ответ на комментарий №4)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Я писал об этом в ноябре.
> > 
> > Прочитай ещё, раз о чём ты писал в ноябре:
> > https://bugzilla.altlinux.org/show_bug.cgi?id=17003#add_comment
> 
> Точнее говоря,
> https://bugzilla.altlinux.org/show_bug.cgi?id=17003#c6

Я имел в виду Re: man git-rebase
------- Comment #8 From 2009-05-07 02:33:33 -------
(In reply to comment #7)
> (В ответ на комментарий №4)
> > (In reply to comment #2)
> > > (In reply to comment #1)
> > > > Я писал об этом в ноябре.
> > > 
> > > Прочитай ещё, раз о чём ты писал в ноябре:
> > > https://bugzilla.altlinux.org/show_bug.cgi?id=17003#add_comment
> > 
> > Точнее говоря,
> > https://bugzilla.altlinux.org/show_bug.cgi?id=17003#c6
> 
> Я имел в виду Re: man git-rebase

Ну так вы определитесь.  А то один говорит, что ему плохо без
DOCBOOK_XSL_172=1,
а другой -- что ему плохо с DOCBOOK_XSL_172=1.  Я не буду собирать каждый ман
со своими параметрами.

Да, и откройте кто-нибудь обратно #17003.
------- Comment #9 From 2009-05-07 09:04:25 -------
(В ответ на комментарий №8)
> Ну так вы определитесь.  А то один говорит, что ему плохо без
> DOCBOOK_XSL_172=1,
Нет таких.